commit:     76af9bd0961c515531137dfba0db76fecf8b286d
Author:     Henning Schild <henning <AT> hennsch <DOT> de>
AuthorDate: Mon Apr 14 06:52:33 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Apr 26 13:16:01 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76af9bd0

sci-geosciences/qmapshack: bump to qmapshack-1.17.1_p20250426

Switch to yet a commit on the default branch where the qt6 port has been
merged now. The new version adds translations. Also fix a few style issues
as suggested in the reviews.

Signed-off-by: Henning Schild <henning <AT> hennsch.de>
Part-of: https://github.com/gentoo/gentoo/pull/41586
Closes: https://github.com/gentoo/gentoo/pull/41586
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sci-geosciences/qmapshack/Manifest                 |  1 +
 .../qmapshack/qmapshack-1.17.1_p20250426.ebuild    | 51 ++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/sci-geosciences/qmapshack/Manifest 
b/sci-geosciences/qmapshack/Manifest
index ddea2736cc60..2305c6be5262 100644
--- a/sci-geosciences/qmapshack/Manifest
+++ b/sci-geosciences/qmapshack/Manifest
@@ -1,2 +1,3 @@
 DIST qmapshack-1.17.1_p20250403.tar.gz 56718039 BLAKE2B 
d4457412995bcd3f672c782156b22801f3781618dfb6fc7d2a60e840433761031a2dc291ebe665f742ef8baf0e299e542956411f774d5d2fc0e32a3233848af7
 SHA512 
b9ea12a04b4af5e1ee548130504b2eab51fa16c365fdc2dc02f50d0e1f13d6eaf86938c555d379e24bbd833fb656d89da9932041d04c55398016c2519183759d
+DIST qmapshack-1.17.1_p20250426.tar.gz 56717427 BLAKE2B 
d7634a7f4d73a8ec234c89de6cff652e040f2bbc23bd9837c3dfb688d68b2eb82781ef9ea29fcc52892b949f73c832a25fccd3023df714e7486bcb509e9192c3
 SHA512 
992a98271052c5347664d499e485bf05f0512724aa45163d272fc6bf5a77dd94fdcccda1b2bea4011965dd011f72a19c1f7860c11488aa5e79be345a8fe29115
 DIST qmapshack-1.17.1_p602.tar.gz 56718904 BLAKE2B 
1ff2176373201b77f232a6158d853dce1916137f524b05cfd3703314425a293c09a776c417f092b7fda60fd417476736ddaea0e756349fe27e8da38e511ab55d
 SHA512 
3620e3a2f9f5bd3e251779116539bbc6d7bdeb5b25c99df68ee5c6922d31eb3de1019ef02297db92690edba78204c48f163f4223a5f1e0b11c8603a3756d8b17

diff --git a/sci-geosciences/qmapshack/qmapshack-1.17.1_p20250426.ebuild 
b/sci-geosciences/qmapshack/qmapshack-1.17.1_p20250426.ebuild
new file mode 100644
index 000000000000..19b8c440207f
--- /dev/null
+++ b/sci-geosciences/qmapshack/qmapshack-1.17.1_p20250426.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+COMMIT="948ae8a8a1526766ebdf9df2f207462c09c15c3b"
+
+DESCRIPTION="GPS mapping utility"
+HOMEPAGE="https://github.com/Maproom/qmapshack/wiki";
+SRC_URI="https://github.com/Maproom/${PN}/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}"/${PN}-${COMMIT}
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="dbus"
+
+RDEPEND="
+       dev-db/sqlite
+       >=dev-libs/quazip-1.3-r2:=[qt6(+)]
+       dev-qt/qt5compat:6
+       dev-qt/qtbase:6[dbus?,gui,network,sql,widgets,xml]
+       dev-qt/qtdeclarative:6
+       dev-qt/qttools:6[assistant,widgets]
+       dev-qt/qtwebengine:6[widgets]
+       sci-geosciences/routino
+       sci-libs/alglib
+       sci-libs/gdal:=
+       sci-libs/proj:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-qt/qttools:6[linguist]"
+
+src_configure() {
+       local mycmakeargs=( -DUSE_QT6DBus=$(usex dbus) )
+       cmake_src_configure
+}
+
+src_install() {
+       docompress -x /usr/share/doc/${PF}/html
+       cmake_src_install
+       mv "${D}"/usr/share/doc/HTML "${D}"/usr/share/doc/${PF}/html || die "mv 
Qt help failed"
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       ewarn "Qt6 port: help system is currently broken"
+}

Reply via email to